For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
  • Cohere API
    • About
    • Teams and Roles
    • Errors
    • Migrating From API v1 to API v2
    • Using the OpenAI SDK
  • Endpoints
  • Deprecated
      • GETLists fine-tuned models.
      • POSTTrains and deploys a fine-tuned model.
      • PATCHUpdates a fine-tuned model.
      • GETReturns a fine-tuned model by ID.
      • DELDeletes a fine-tuned model.
      • GETFetch history of statuses for a fine-tuned model.
      • GETRetrieve training metrics for fine-tuned models.
LogoLogodocs
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Deprecatedv1/finetuning

Lists fine-tuned models.

Deprecated
GET
https://api.cohere.com/v1/finetuning/finetuned-models
GET
/v1/finetuning/finetuned-models
1import cohere
2
3co = cohere.Client()
4response = co.finetuning.list_finetuned_models()
5print(response)
1{
2 "finetuned_models": [
3 {
4 "name": "chat-ft",
5 "settings": {
6 "base_model": {
7 "base_type": "BASE_TYPE_CHAT",
8 "name": "medium",
9 "version": "14.2.0",
10 "strategy": "STRATEGY_TFEW"
11 },
12 "dataset_id": "my-dataset-d701tr",
13 "hyperparameters": {
14 "early_stopping_patience": 6,
15 "early_stopping_threshold": 0.01,
16 "train_batch_size": 16,
17 "train_epochs": 1,
18 "learning_rate": 0.01
19 }
20 },
21 "id": "fee37446-7fc7-42f9-a026-c6ba2fcc422d",
22 "creator_id": "7a317d97-4d05-427d-9396-f31b9fb92c55",
23 "organization_id": "6bdca3d5-3eae-4de0-ac34-786d8063b7ee",
24 "status": "STATUS_READY",
25 "created_at": "2024-01-15T09:30:00Z",
26 "updated_at": "2024-01-15T09:30:00Z",
27 "completed_at": "2024-01-15T09:30:00Z"
28 },
29 {
30 "name": "rerank-ft",
31 "settings": {
32 "base_model": {
33 "base_type": "BASE_TYPE_RERANK",
34 "name": "english",
35 "version": "2.0.0",
36 "strategy": "STRATEGY_VANILLA"
37 },
38 "dataset_id": "rerank-dataset-d820xf"
39 },
40 "id": "9d927c5e-7598-4772-98b7-cdf2014e8874",
41 "creator_id": "7a317d97-4d05-427d-9396-f31b9fb92c55",
42 "organization_id": "6bdca3d5-3eae-4de0-ac34-786d8063b7ee",
43 "status": "STATUS_READY",
44 "created_at": "2024-01-15T09:30:00Z",
45 "updated_at": "2024-01-15T09:30:00Z",
46 "completed_at": "2024-01-15T09:30:00Z"
47 }
48 ]
49}

Returns a list of fine-tuned models that the user has access to.

Was this page helpful?
Previous

Trains and deploys a fine-tuned model.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Query parameters

page_sizeintegerOptional
Maximum number of results to be returned by the server. If 0, defaults to 50.
page_tokenstringOptional
Request a specific page of the list results.
order_bystringOptional
Comma separated list of fields. For example: "created_at,name". The default sorting order is ascending. To specify descending order for a field, append " desc" to the field name. For example: "created_at desc,name". Supported sorting fields: - created_at (default)

Response

A successful response.
finetuned_modelslist of objects

List of fine-tuned models matching the request.

next_page_tokenstring
Pagination token to retrieve the next page of results. If the value is "", it means no further results for the request.
total_sizeinteger
Total count of results.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error

Comma separated list of fields. For example: “created_at,name”. The default sorting order is ascending. To specify descending order for a field, append ” desc” to the field name. For example: “created_at desc,name”.

Supported sorting fields:

  • created_at (default)